Contenu | Rechercher | Menus

Annonce

La nouvelle clé USB Ubuntu-fr est en prévente
Rendez-vous sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#51 Le 24/08/2010, à 00:23

sputnick

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

Ok, donc

tcp        0      0 0.0.0.0:8000            0.0.0.0:*               LISTEN      3407/python

nous informe que le serveur HTTP écoute bien sur le réseau.

Tu doit pouvoir te connecter avec cette commande :

firefox -remote "openurl(http://$(curl -s http://sputnick-area.net/ip):8000,new-tab)"

Si ce n'est pas le cas, tu a un problème de routage avec ta box. N'oublie pas de  redémarrer ta Freebox.

Dernière modification par sputnick (Le 24/08/2010, à 00:25)

Hors ligne

#52 Le 24/08/2010, à 11:52

ewfzapp

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

Merci sputnick,
est ce que ma config de freebox est bonne?
Sachant que j'ai une ip fixe
freebox.png


www.indigenecreations.fr

Hors ligne

#53 Le 24/08/2010, à 12:03

Totor

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

je n'ai pas suivi le fil mais j'ai le sentiment que non : c'est du tcp et non de l'udp


-- Lucid Lynx --

Hors ligne

#54 Le 24/08/2010, à 12:33

ewfzapp

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

je teste en modifiant le udp


www.indigenecreations.fr

Hors ligne

#55 Le 24/08/2010, à 12:41

ewfzapp

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

Désolé c'est pas mieux en tcp....
c'est d'autant plus étrange que j'ai installé un serveur web sur ma machine, et que j'ai acces en local et par l'exterieur sans aucun probleme....


www.indigenecreations.fr

Hors ligne

#56 Le 24/08/2010, à 14:19

sputnick

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

Que renvoie la dernière commande que je t'ai donné ?

Hors ligne

#57 Le 24/08/2010, à 16:23

ewfzapp

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

sputnick a écrit :

Que renvoie la dernière commande que je t'ai donné ?

Elle m'ouvre une page firefox (ou plutot un onglet) avec:

La connexion a échoué
Firefox ne peut établir de connexion avec le serveur à l'adresse 88.175.133.215:8000.

    *   Le site est peut-être temporairement indisponible ou surchargé. Réessayez plus
          tard ;

    *   Si vous n'arrivez à naviguer sur aucun site, vérifiez la connexion
          au réseau de votre ordinateur ;

    *   Si votre ordinateur ou votre réseau est protégé par un pare-feu ou un proxy,
          assurez-vous que Firefox est autorisé à accéder au Web.

www.indigenecreations.fr

Hors ligne

#58 Le 05/06/2011, à 13:08

pipocas

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

Sacré up pour le coup mais ce script vaut vraiment le coup d’œil.

Est il possible de l'adapter pour Unity car lorsqu'on le lance, il est maintenant perdu dans les limbes des processus actifs. (plus de systray)

Hors ligne

#59 Le 05/06/2011, à 14:39

ElGatoNegro

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

pipocas a écrit :

Sacré up pour le coup mais ce script vaut vraiment le coup d’œil.

Est il possible de l'adapter pour Unity car lorsqu'on le lance, il est maintenant perdu dans les limbes des processus actifs. (plus de systray)

Pour afficher de nouveau l’icône dans la zone de notification, regarde par exemple
(personnellement, avec dconf-editor, j'ai rajouté zenity, et je retrouve mes icônes dans la zone de notification :

"['JavaEmbeddedFrame', 'Mumble', 'Wine', 'Skype', 'hp-systray', 'zenity']"

"Écart est le palindrome de Tracé" (Alain Damasio)

Hors ligne

#60 Le 05/11/2011, à 00:29

Lysios

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

Bonjour à tous,
Après avoir lu avec intérêt ce post il y a quelques mois, j'ai décidé de créer un tuto détaillé pour les plus novices (notamment des amis wink.
Ca reprend le principe de SimpleHTTPServer, comment lancer en 1 seule commande au démarrage (sans le script donc), comment partager plusieurs dossiers à la fois et comment rediriger les ports pour un partage public.

C'est ici donc -> http://lysios.free.fr/?p=72


Mon blog propulsé par Wordpress: http://lysios.free.fr [informatique, coups de cœurs musicaux, littéraires et vidéos & randos cévenoles]

Hors ligne

#61 Le 07/01/2014, à 20:40

andso

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

bonjour,
petit remontage ( déterrage ) de discussion
j' avais modifié ce script pour le rendre plus user-friendly, mais plus de notification sous xfce 4.10 (xubuntu 12.04)

#!/bin/bash

#
# ------------------------------------------------------------------
#    made by sputnick in da FreAkY lApPy lAb (c) 2009
#    gilles.quenot <AT> gmail <DOT> com
#	 Idea from smecher.
#
#    This program is free software; you can redistribute it and/or
#    modify it under the terms of version 2 of the GNU General Public
#    License published by the Free Software Foundation.
#       (see http://www.gnu.org/licenses/gpl.html).
#
# version mofifiée par andso  2011 07 01
#	ajout commentaire initialisation liaison
#	utilise http://checkip.dyndns.org pour IP publique
#	modification du message de lancement (mini howto )
#	affiche les adresses IP en survolant l' icône de la zone de notification
#	pas de confirmation pour l' arrêt 
#
# ------------------------------------------------------------------
#   ,,_
#  o"  )@
#   ''''
# ------------------------------------------------------------------
#
# vim:ts=4:sw=4
#
#
# Version 0.2.2
#
# 
#  Script permettant de lancer un serveur web en dialog zenity a la volee dans le dossier courant.
#  Il affiche les IP:PORT interne et externes qui seront disponibles.
#
#  Si vous etes derriere un routeur, il faut le configurer pour que le port 8000
# 	soit forwarde vers votre adresse IP locale.
#
#  Questions et infos : http://forum.ubuntu-fr.org/viewtopic.php?id=364489
# 
#  Prerequis:
#    zenity
# 
iface=eth0    # POUR LIAISON ETHERNET FILAIRE
#   
# iface=wlan0 # pour liaison sans fil
## Votre interface reseau : iface=ra0, iface=wlan0 etc...
#
# ne plus modifier
# -----8<--------------------------------------------------------------------------------
# PUBLIC_IP_ADDR=$(wget -O - -q http://sputnick-area.net/ip) # 
PUBLIC_IP_ADDR="$(wget http://checkip.dyndns.org/ -O - -o /dev/null | cut -d: -f 2 | cut -d\< -f 1)"
PRIVATE_IP_ADDR=$(ifconfig $iface | awk '/inet/{gsub(" *inet add?r:","");print $1;exit}')


DIR=${1:-$PWD}

if nc -z -w2 localhost 8000; then
    zenity --error --title="error:" --text="Le port localhost:8000 bind deja !\n\nSeeYa..."
    exit 1
fi

zenity --question --text="Le répertoire \"$DIR\"
sera accessible dans un navigateur a l'adresse:
IP privée    $PRIVATE_IP_ADDR :8000
IP publique  $PUBLIC_IP_ADDR :8000 (pour vos amis)

Une icône se créera dans la zone de notification :
clic dessus pour Arrêter le serveur

Continuer?" --window-icon="/usr/share/pixmaps/siHTTP.png" || exit 0

python -m SimpleHTTPServer & pro=$!

while true; do
    zenity --notification --window-icon="/usr/share/pixmaps/siHTTP.png" --text="Appuyer pour éteindre le serveur
    IP privée   $PRIVATE_IP_ADDR :8000
    IP publique $PUBLIC_IP_ADDR :8000"
#    public: $(wget -O - -q http://sputnick-area.net/ip):8000
# prive: $(ifconfig $iface | awk '/inet/{gsub(" *inet add?r:","");print $1;exit}'):8000
    

 #   if zenity --question --title="Confirmation?" --text="T'es sur ? Ca va trancher cherie !"; then
        kill $pro
        exit $?
 #   fi
done

Edit
bon, c' est zenity --notification qui affiche une... notification au lieu de se loger dans le systray, mais je n' arrive pas à trouver d' infos

Dernière modification par andso (Le 07/01/2014, à 20:58)


IMPORTANT: Booster votre (X et K)ubuntu: http://forum.ubuntu-fr.org/viewtopic.php?id=241092 (pfou!...)
à essayer, et... demain debian? http://fr.wikipedia.org/wiki/Demain_les_chiens
demain les biens? mes biens biens? t' exagére ... la banque!

Hors ligne

#62 Le 08/01/2014, à 14:53

andso

Re : [resolu]script bash +zenity: SimpleHTTPServer en - de 10 secondes

En utilisant yad ça passe

#!/bin/bash

#
# ------------------------------------------------------------------
#    made by sputnick in da FreAkY lApPy lAb (c) 2009
#    gilles.quenot <AT> gmail <DOT> com
#	 Idea from smecher.
#
#    This program is free software; you can redistribute it and/or
#    modify it under the terms of version 2 of the GNU General Public
#    License published by the Free Software Foundation.
#       (see http://www.gnu.org/licenses/gpl.html).
#
# version mofifiée par andso  2011 07 01
#	ajout commentaire initialisation liaison
#	utilise http://checkip.dyndns.org pour IP publique
#	modification du message de lancement (mini howto )
#	affiche les adresses IP en survolant l' icône de la zone de notification
#	pas de confirmation pour l' arrêt 
#
# version mofifiée par andso  2014 01 08
#	zenity --notification fails to show continuous status in the systray 
#	https://bugs.launchpad.net/ubuntu/+source/zenity/+bug/884011
#	zenity remplacé par yad
#	https://launchpad.net/~webupd8team/+archive/y-ppa-manager
#	http://code.google.com/p/yad/downloads/list
#
# +Version 0.2.4
# 
#  Script permettant de lancer un serveur web à la volee dans le dossier courant.
#  Il affiche les IP:PORT interne et externes qui seront disponibles.
#
#  Si vous etes derriere un routeur, il faut le configurer pour que le port 8000
# 	soit forwarde vers votre adresse IP locale.
#
#  Questions et infos : http://forum.ubuntu-fr.org/viewtopic.php?id=364489
# 
#  Prerequis:
#	+yad 
#
#
iface=eth0    # POUR LIAISON ETHERNET FILAIRE
#   
# iface=wlan0 # pour liaison sans fil
## Votre interface reseau : iface=ra0, iface=wlan0 etc...
#
# ne plus modifier
# -----<--------------------------------------------------------------------------------

PUBLIC_IP_ADDR="$(wget http://checkip.dyndns.org/ -O - -o /dev/null | cut -d: -f 2 | cut -d\< -f 1)"
PRIVATE_IP_ADDR=$(ifconfig $iface | awk '/inet/{gsub(" *inet add?r:","");print $1;exit}')


DIR=${1:-$PWD}

if nc -z -w2 localhost 8000; then
    yad --error --title="error:" --text="Le port 8000 est déja en service!"
    exit 1
fi

yad --question --text="Le répertoire \"$DIR\"
sera accessible dans un navigateur a l'adresse:
IP privée    $PRIVATE_IP_ADDR:8000
IP publique  $PUBLIC_IP_ADDR:8000 (pour vos amis sur internet)
Une icône se créera dans la zone de notification :
un clic dessus arrête le serveur
Continuer?" --window-icon="/usr/share/pixmaps/siHTTP.png" || exit 0

python -m SimpleHTTPServer & pro=$!

while true; do

    yad --notification --image="/usr/share/pixmaps/siHTTP.png" --text="Appuyer pour éteindre le serveur
    IP privée   $PRIVATE_IP_ADDR:8000
    IP publique $PUBLIC_IP_ADDR:8000"

        kill $pro
        exit $?
done

IMPORTANT: Booster votre (X et K)ubuntu: http://forum.ubuntu-fr.org/viewtopic.php?id=241092 (pfou!...)
à essayer, et... demain debian? http://fr.wikipedia.org/wiki/Demain_les_chiens
demain les biens? mes biens biens? t' exagére ... la banque!

Hors ligne